Page MenuHomePhabricator

Wikisource: Create dashboard on Wikisource activity
Closed, ResolvedPublic

Description

As a product manager, I want to be able to view a dashboard that displays Wikisource activity & trends, so that I can understand how the multiple projects being conducted by the Community Tech team may be improving or impacting Wikisource usage & if we are seeing growth or interesting numbers in a particular area.

NOTE: This is not urgent. It's okay if we begin looking into this in December.

Relevant projects:

Acceptance Criteria:

  • Create or find a dashboard to track Wikisource activity, which includes:
    • Total number of active editors
    • Total number of pageviews
    • Total number of edits
    • Total number of book downloads
  • Is there a way to also separate data by language wiki?

Deliveries:

Event Timeline

ifried created this task.Nov 16 2020, 7:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 16 2020, 7:08 PM
ifried updated the task description. (Show Details)Nov 16 2020, 7:10 PM
ifried updated the task description. (Show Details)
jwang added a comment.EditedDec 5 2020, 12:11 AM

We have self-serve dashboard for readership.
dashboard link: https://superset.wikimedia.org/superset/dashboard/47/

To get the data of wikisource, select "wikisource" in Project Family. Also user can separate data by language wiki if select specific wiki in "Project" field.

Metrics

Content Interactions: = Pageviews (all platforms) + desktop previews (see definitions below)

pageview

jwang triaged this task as Medium priority.Dec 5 2020, 12:14 AM
jwang updated the task description. (Show Details)
jwang edited projects, added Product-Analytics; removed Product-Analytics (Kanban).
jwang moved this task from Triage to Needs Investigation on the Product-Analytics board.
jwang added a comment.Dec 5 2020, 12:23 AM

We have self-serve dashboard for content, which includes edits metric.
dashboard link: https://superset.wikimedia.org/superset/dashboard/50/

To get the data of wikisource, select "wikisource" in Project Family. To separate data by language wiki , select specific wiki in "Project" field.

Edits

jwang updated the task description. (Show Details)Dec 5 2020, 12:24 AM
jwang updated the task description. (Show Details)Dec 5 2020, 12:58 AM
ifried added a comment.EditedDec 7 2020, 8:47 PM
NOTE: Jennifer and I discussed today that, if we would want to collect the number of downloads, we would either need eventlogging or data stored in MariaDB. Currently, there is no easy way for her retrieve this data and create a table or graph in Superset.
jwang added a comment.Jan 5 2021, 6:13 PM

Connie in Product Analytics team has enabled project_filter and project_family_filter on editors self-serve dashboard. Now we are able to see the total number of active editors by wikisource only and individual wikisource project.
Dashboard link: https://superset.wikimedia.org/r/410

jwang updated the task description. (Show Details)Jan 5 2021, 6:14 PM
jwang closed this task as Resolved.Jan 19 2021, 6:09 PM

Have reviewed @ifried . Marked it as resolved.